Skip to main content

Search Buyers

Search Buyers tutorial​

Use this service to search and download the buyers data.

Let's get started with the example

Step-by-step examples​

This guide shows how to get the buyers data.

Prerequisites!

You will need a valid OAuth access_token to be able to make each call! Please refer to our Authentication Guide to obtain one.

Get Buyers Data​

With this simple call we can easily obtain the list of the buyers of an Entity with the relevant buyer data (email, name, language and more).

curl --location --request GET 'https://api.oneboxtds.net/customers-mgmt-api/v1/buyers' \
--header 'Authorization: Bearer {{access_token}}'

Note:​

  • In case the integration is an operator and not a normal entity, you can use the entity_id parameter to download the data of a specific entity.

Get Buyer Detail​

Use this endpoint with the buyer-id parameter obtained in the Get Buyers Data response, to get detailed information about a specific buyer.

  • buyer-id The id of the buyer from which we want to get the detailed data (we get this id from the Get Buyers Data response).
curl --location --request GET 'https://api.oneboxtds.net/customers-mgmt-api/v1/buyers/{{buyer-id}}' \
--header 'Authorization: Bearer {{access_token}}'

Get Buyer Purchased Products​

Use this endpoint with the buyer-id parameter obtained in the Get Buyers Data response, to get information about the buyer purchased order-items.

  • buyer-id The id of the buyer from which we want to get the purchased order-items data (we get this id from the Get Buyers Data response).
curl --location --request GET 'https://api.oneboxtds.net/customers-mgmt-api/v1/buyers/{{buyer-id}}/order-items' \
--header 'Authorization: Bearer {{access_token}}'

Note:​

  • In the response of this endpoint we will find very useful information such as the order_code, the session_id or for example the seller channel that managed the operation.